From: "Rodney Anonymous" <[email-masked]>

Notice:  If lemons don't bug you, keep reading, but remember this
         fic is written for a reason.  Offensive language occurs,
         plus a little animosity for somebody out there.
         You've been warned.

Spoiler space here

                        *

                        *

                        *

                        *

                        *

                        *

I've had this idea for awhile, and finally managed to vomit it out.
It takes place just after the first KOR movie.

To a certain female out there in the anime community, this is for you.
You know who you are, you should be smart enough to figure that out.

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

"Hurt",

a Kimagure Orange Road fanfic

Kyosuke felt better, walking home from his date with Madoka.  They'd
done it, they'd finally admitted how they felt.  He had left her at
the mall,Madoka wanting to do some shopping before coming home.  The
mid-afternoon train ride took him back to the neighborhood, back to
where he and Madoka lived, and he hoped it was for a long time.  He
walked from the station, through the streets, back to old territory.

Kyosuke stood at the bottom of the steps, looking up, thinking of how
this is where is all began.  Somehow, he thought it might be where it
all ended, too. Kyosuke jogged up the steps counting once again as he
rose up them.

"Ten, eleven, twelve..." he said to himself as his left and right feet
alternately touched the stairs.  Within moments he reached the top,
the park nearby, where he and Madoka had first met.  The weather was
much like that day.  He cauhgt his breath, trying to remember the good
and forget the day he had to walk by -

"KASUGA!" screamed a voice from a short distance away.

Kyosuke whipped around, trying to locate who it was.  There was only
one person anywhere in sight, nobody usually around at this time of day.

Yusaku.

He groaned inwardly, he knew what this was about. Out of all of them,
Yusaku was the only one he had never seen crying, until now. Yusaku
stormed toward Kyosuke, tears streaming down and fury in his eyes.

"You bastard! All this time, I loved Hikaru! All this time!  And you
play with her like a toy, and throw her away like a piece of garbage.
You dont' have any decency, do you?" asked Yusaku, before surprising
Kyosuke with a kick to the stomach.

As Kyosuke lay on the ground clutching his stomach and groaning, he
was in so much pain he couldn't focus, do anything to protect himself.

"You fuck," screamed Yusaku as he kicked him again, "you destroyed her!
She's been crying for days.  Couldn't you at least have let her down
easy? Damn you!"

Kyosuke rolled in agony, barely able to speak or think.  Yusaku's words
barely cut through the blur of pain in his abdomen, the only thought he
could muster, one of protecting himself, avoiding the blows.

In his anger, Yusaku's martial arts training went out the window; he was
too angry, to think straight. He unbuckled his belt and yanked it out of
his pants, breaking one of the straps on the waistband while doing it.
He first beat on Kyosuke with it like a whip, the buckle landing only a
few times because it was so uncontrollable.

Kneeling, Yusaku wound the belt around his hand, the buckle sticking out
creating big welts on Kyosuke's hide, and blood to spatter Yusaku's
clothes.

"You played her along for so long, you never loved her!  Why couldnt'
you tell her years ago, when it wouldn't have hurt her so much?"  He
stopped, the crying and pain too much for either to continue.  "Couldn't
you have left her alone, for someone who really loves her?" Yusaku said
with a softer voice.

Catching his breath, Kyosuke said "I...wasn't trying to hurt her, I never
asked her to chase me around." Yusaku's eyes got wider at hearing this,
"I didn't ask her to fall in love with me, I wasn't trying to hurt her..."

Yusaku yelled and jumped on Kyosuke.  "YOU BASTARD! Not trying?!!?  I
don't care what you tried, its what you did!"

With his wind back, Kyosuke tried to get up and run, but as he did,
Yusaku grabbed him from the back of his pants/.  A fight of strength
began, one boy on his feet trying to run, the other on his knees hanging
on. It was only a matter of who would win.

It was the pants that lost.  Kyosuke and Yusaku's combined efforts made
the pants break at the waistfront, the button and zipper collapsing from
their combined strength.  Kyosuke fell forward on the ground with his
pants around his ankles, and Yusaku jumped on him after the surprise of
what happened.

Maybe it was his anger, maybe he wasn't thinking, maybe it was his love
for Hikaru, but whatever is was, Yusaku could now onyl think of one way
to hurt Kyosuke.  He grabbed Kyosuke by the hair, and rammed his face
into the ground until he was bleeding and dazed.

"You want hurt," Yusaku cried, "I will *make* you hurt."

Yusaku undid his own pants and pulled them to his knees, then grabbed
Kyosuke and tore his underwear from the older boy.  From the combined
love, anger abd adrenalin Yusaku was hard as a rock, and attacked
Kyosuke's asshole without thinkning. He had Kyosuke on his knees, face
in the dirt, where he belonged.

He rammed it in, painful for himself, but more painful for Kyosuke. The
too small hole wasn';t ready for it, and it was a struggle to try and
enter, but Yusaku's consious strength was greater than Kyosuke's
unconsious reflexes. The hole finally gave way, Yusaku entering with a
force driven with passion. In and out, he violated his bitterest rival,
not gaining satisfaction sexually, but definitely in revenge.

After a few moments Kyosuke's stupor wore off and the pain overtook him,
realizing what was happening to him.  Yelling for him to stop, it only
drove Yusaku further.

Blood began to fall at Yusaku's knees, blood that Kyosuke could see from
looking underneath him.  He screamed and struggled to get away, fighting
that now spurred on Yusaku even further.  The sensation of the tight
muscles, coupled with his feelings for Hikaru and desire for revenge
brought a sick pleasure to Yusaku's mind.  He was aroused now, and began
stroking inside Kyosuke.

Yusaku's strength and the pain combined to leave Kyosuke helpless as he
was raped, and when his strength was sapped, it was all he could do to
just lay limp and moan in agony.

Yusaku rose to another level at the sensation of Kyosuke giving up. He
could feel his cock trobbing, trembling, waiting to burst its load inside
his enemy. "The ultimate violation," it occured to Yusaku as he felt it.

"More, yes," he thought as he heard Kyosuke sobbing.  It was the last
thing he needed, the final sensation that gave him his orgasm. He burst
inside Kyosuke, the throbbing and sensitive tip spewing white inside a
black hole.

Yusaku pulled out, blood, cum and shit falling on the ground as he
jumped away as best he could, not wanting to be covered in it. Grabbing
leaves from a nearby bush, Yusaku tried to clean off his dick.

Kyosuke fell onto his side, crying at what happened to him.  As he fell,
his face became visible to Yusaku who saw it.  As his sensations slowed,
the guilt of what he had done covered Yusaku's face.  It was all he could
do to not throw up.  It took him several minutes to get his pants up.

"K-Kyosuke, I..." he said, sobbing. But he couldn't say any more. He just
got up and ran, ran away as fast as he could, not sure if he was screaming
as he went.

Kyosuke managed to stop crying and gradually grew aware of his condition.
He sat up abd finished tearing away the remains of his underwear, and
tried to use it to clean himself up.  Some blood was on the front of his
pants, but he figured he could cover that with his shirt.  He only hoped
his pants wouldn't stain. He was thankful he could teleport home.

Wiping himself off and pulling his pants up, he looked around to make
sure noone was watching, then he vanished.

A day later, Yusaku sat at the Abakabu in front of an untouched cup of
coffee. Madoka watched him carefully, wondering what would make him mope
like this.  She found out when her Kyosuke walked in looking bruised and
beaten. Madoka took down Yusaku's name as he looked at her, then shivered
as Kyosuke walked up.

Yusaku was near crying as Kyosuke stood beside him at the counter, and
Yusaku knew why he stood.  Surprisingly, Kyosuke's face was neutral as
he spoke to Madoka, "Coffee for me, Ayukawa, it's no hurry."  Madoka
nodded and took her time preparing a cup.

Yusaku looked down with tears streaming down his face. "I...I can't
tell...I'm sorry for what I did, I can't deal with it. Please, hit me
or do whatever you need to, just don't tell anyone."  Yusaku looked up
into Kyosuke's eyes, "I'm begging you."

Kyosuke was still plain faced as he spoke, "You hurt me, but I never
knew you hurt this bad for Hikaru." His face now showed some anger,
and he said, "I won't forgive this, but I won't tell either. Madoka
would do more to you than you know."

In any other situation Yusaku would have made fun of Kyosuke saying
someone else would fight for him, but here he couldn't.  Not only would
Madoka do far worse that Yusaku could think of, but Hikaru would know.
How could he ever face her if she knew?

"Thank you, Kyosuke." Yusaku got up to leave as Madoka came back, "I'll
be at home for a few days, I need to be alone, okay?"  Both nodded to
him as he left but said nothing, Madoka wearing a mask of anger, Kyosuke
looking out the window at Yusaku as he left.

"Are you alright, Kasuga-kun? Did he hurt you badly?"

"No, it'll heal," he said as he walked away from the window.  "He was
just upset about Hikaru.  I should have expected it, I guess."

"Well, forget about him and sit down for this one, okay?" she smiled
to him as she put the coffee on the counter.  While she turned her
back for a minute, Kyosuke gingerly sat down on the seat, only one
half of his butt actually on the stool, the other leg straight leaving
him half-standing.

Kyosuke picked up the cup and for the next few minutes sipped a great
cup, obviously something Madoka did just for him.

Kyosuke also enjoyed the sound of the siren outside where somebody
had been hit by a car.